Summary: Una rubrica telefonica.
Name: rubrica
Version: 0.29it
Release: 3
Copyright: GPL
Group: Applications/Databases
Source: http://digilander.iol.it/robang/rubrica
BuildRoot: /tmp/%{name}

%description
Rubrica Italiana permette di gestire la propria rubrica telefonica.
Vi sono diversi modelli nella directory /esempi a cui fare riferimento ma in
generale la struttura della rubrica e` personalizzabile (leggere FORMAT.INPUT)
sia per editing diretto dei files di esempio sia mediante interfaccia grafica.
Sono disponibili funzioni di ricerca e ordinamento. In presenza di modem
un'apposita maschera permette di chiamare il numero digitato.

%prep
cd -
\cp -f %{name}-%{version}.tgz /tmp
cd /tmp
\rm -rf /tmp/%{name}-%{version}
tar xvfz %{name}-%{version}.tgz

%build
#cd $RPM_BUILD_ROOT/%{name}-%{version}
#./configure
#make
#\mv $RPM_BUILD_ROOT/%{name}-%{version}/src/%{name} $RPM_BUILD_ROOT/%{name}-%{version}/bin/%{name}
#make clean

%install
umask 022
\rm -rf $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/share/%{name}
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/esempi
mkdir -p $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/html
\rm -rf $RPM_BUILD_ROOT/usr/local/bin
mkdir -p $RPM_BUILD_ROOT/usr/local/bin
cd /tmp/%{name}-%{version}
\cp -arf * $RPM_BUILD_ROOT/usr/local/share/%{name}
\mv -f $RPM_BUILD_ROOT/usr/local/share/%{name}/bin/%{name} $RPM_BUILD_ROOT/usr/local/bin/%{name}
for i in  AUTHORS ChangeLog COMPILING COPYING INSTALL KNOWBUGS MANUALE README NEWS esempi/*.rbc html/*
do
 \cp -f $i $RPM_BUILD_ROOT/usr/doc/%{name}-%{version}/$i
done
chmod -R a+r $RPM_BUILD_ROOT/*

%clean
umask 022
\rm -f /tmp/%{name}-%{version}.tgz
\rm -rf $RPM_BUILD_ROOT
\rm -rr $RPM_BUILD_ROOT-%{version}
\cp -f /usr/src/RPM/RPMS/i*86/%{name}-%{version}-%{release}.i*86.rpm /tmp

%files
%defattr (-,root,root)
#%doc AUTHORS ChangeLog COMPILING COPYNG INSTALL KNOWBUGS MANUALE README NEWS
/usr/local/share/%{name}/*
/usr/doc/%{name}-%{version}
/usr/local/bin/%{name}

%changelog
* Thu Nov 02 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Il binario di Rubrica Italiana e` stato spostato in /usr/local/bin
- La directory pixmaps e` stata ripristinata rispetto al collegamento
- La directory docs e` stata rinominata html

* Thu Aug 18 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Il binario di Rubrica Italiana e` stato spostato in /usr/bin

* Mon Aug 07 2000 Roberto A. Foglietta 60;robang@libero.it62;
- Primo RPM ufficiale per Rubrica Italiana



